Mailinglist Archive: opensuse-factory (633 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20190125 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20190125

Please do not reply to this email to report issues, rather file a bug
on bugzilla.opensuse.org. For more information on filing bugs please
see https://en.opensuse.org/openSUSE:Submitting_bug_reports

Packages changed:
curl
cyrus-imapd (2.4.19 -> 2.4.20)
liblognorm
pcre2
python-xcffib (0.5.1 -> 0.6.0)
qpdf (8.2.1 -> 8.3.0)
yast2-schema (4.1.0 -> 4.1.1)
zeromq (4.2.5 -> 4.3.1)

=== Details ===

==== curl ====
Subpackages: libcurl4

- Provide libcurl4 = %version in the mini library package

==== cyrus-imapd ====
Version update (2.4.19 -> 2.4.20)
Subpackages: cyradm perl-Cyrus-IMAP perl-Cyrus-SIEVE-managesieve

- Update to 2.4.20
* Fixed: lmtpd crash
* Fixed: auth_pts will now error if its configured socket path is
too long for its buffer
- Removed cyrus-imapd-2.4.19-lmtpd_crash.patch

==== liblognorm ====

- Use %license instead of %doc [bsc#1082318]

==== pcre2 ====
Subpackages: libpcre2-16-0 libpcre2-32-0 libpcre2-8-0 libpcre2-posix2
pcre2-devel

- Do not run profiling in parallel for reproducible builds (boo#1040589)
- Mark all license files as %license

==== python-xcffib ====
Version update (0.5.1 -> 0.6.0)

- Update to 0.6.0:
* Depend on xcb-types 0.9.0
* Fix spelling mistakes
* Support the new eventstruct element
* Use xcb-types HEAD instead of a released version
* List: keep around the raw underlying represenation
* Fix linter errors

==== qpdf ====
Version update (8.2.1 -> 8.3.0)

- Update to version 8.3.0
See included ChangeLog for the complete changelog
- Add qpdf-data-loss-fix.patch to fix
https://github.com/qpdf/qpdf/issues/276

==== yast2-schema ====
Version update (4.1.0 -> 4.1.1)

- AutoYaST schema changed in yast2-firewall (4.1.8).
- Dropped unused elements that were not in GA and are not needed in
SP1 (fate#324662)
- 4.1.1

==== zeromq ====
Version update (4.2.5 -> 4.3.1)
Subpackages: libzmq5 zeromq-tools

- New upstream version 4.3.1:
* CVE-2019-6250: A vulnerability has been found that would allow
attackers to direct a peer to jump to and execute from an address
indicated by the attacker. (bsc#1121717)
* fixed race condition in ZMQ_PUSH when quickly disconnecting and
reconnecting causes last part of multi-part message to get
"stuck" and resent by mistake to the new socket.
For complete set of changes, see,
https://github.com/zeromq/libzmq/releases/tag/v4.3.1
https://github.com/zeromq/libzmq/releases/tag/v4.3.0


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages